//
//  PSFileEvents.h
//  Perforce
//
//  Created by Adam Czubernat on 03.07.2013.
//  Copyright (c) 2013 Perforce Software, Inc. All rights reserved.
//

#import <Foundation/Foundation.h>

@class PSFileEvents;
@protocol PSFileEventsDelegate <NSObject>
@optional
- (void)fileEvents:(PSFileEvents *)events created:(NSArray *)paths;
- (void)fileEvents:(PSFileEvents *)events removed:(NSArray *)paths;
- (void)fileEvents:(PSFileEvents *)events moved:(NSArray *)paths to:(NSArray *)newPaths;
- (void)fileEvents:(PSFileEvents *)events renamed:(NSArray *)paths to:(NSArray *)newPaths;
- (void)fileEvents:(PSFileEvents *)events modified:(NSArray *)paths;
- (void)fileEventsWillChange:(PSFileEvents *)events;
- (void)fileEventsDidChange:(PSFileEvents *)events;
@end


@interface PSFileEvents : NSObject

@property (nonatomic, unsafe_unretained) id <PSFileEventsDelegate> delegate;

- (id)initWithRoot:(NSString *)path applicationEvents:(BOOL)watch eventId:(NSUInteger)lastEventId;
- (NSUInteger)eventId; // Last event id

- (void)flush; // Flush events buffer manually

@end
